function init(hero) {
    hero.setName("Hulkbuster");
    hero.setTier(4);
    
    hero.setHelmet("Helmet");
	hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addAbilities("fiskheroes:superhuman_durability", "fiskheroes:fire_immunity", "fiskheroes:propelled_flight", "fiskheroes:repulsor_blast", "fiskheroes:hover");
    hero.addWeaknesses("fiskheroes:metal_skin");
	hero.addAttribute("ATTACK_DAMAGE", 2, 1);
    hero.addAttribute("PUNCH_DAMAGE", 14, 0);
    hero.addAttribute("SWORD_DAMAGE", -0.85, 1);
	hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
	hero.addAttribute("SPRINT_SPEED", 0.1, 0);
	hero.addAttribute("STEP_HEIGHT", 1.5, 0);
	
	hero.addKeyBind("AIM", "key.aim", 1);
    hero.addKeyBind("HOVER", "key.hover", 2);
	
	hero.setDefaultScale(1.8);
	
	hero.setHasProperty(hasProperty);
    hero.supplyFunction("canAim", canAim);
}

function hasProperty(entity, property) {
    return property == "BREATHE_UNDERWATER" || property == "BREATHE_SPACE";
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty() && !entity.getData("fiskheroes:jetpacking");
}
